<?xml version="1.0" encoding="utf-8"?>
<layout>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary"
    tools:context=".SplashActivity">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/imageView"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:src="@drawable/logo_integry_full_white"
        android:adjustViewBounds="true"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/guideline_left"
        app:layout_constraintRight_toLeftOf="@+id/guideline_right" />


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline_left"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.25" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline_right"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.75" />


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline_left_progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.3" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline_right_progress"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintGuide_percent="0.7" />

    <ProgressBar
        android:id="@+id/progressBar2"
        style="?android:attr/progressBarStyleHorizontal"
        android:layout_width="0dp"
        android:layout_height="8dp"
        android:layout_marginTop="24dp"
        android:indeterminate="true"
        android:indeterminateDrawable="@drawable/curved_progress_bar"
        app:layout_constraintLeft_toRightOf="@+id/guideline_left_progress"
        app:layout_constraintRight_toLeftOf="@+id/guideline_right_progress"
        app:layout_constraintTop_toBottomOf="@id/imageView" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/loading_info_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        tools:text="Caricamento DB"
        app:layout_constraintTop_toBottomOf="@id/progressBar2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:textColor="@android:color/white"
        android:alpha="0.7"
        android:layout_marginTop="12dp"
        style="@style/AppTheme.NewMaterial.Text.Small"/>

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/app_version_textview"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        tools:text="v 1.0.0"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:textColor="@android:color/white"
        android:layout_marginBottom="24dp"
        style="@style/AppTheme.NewMaterial.Text.Small"/>
</androidx.constraintlayout.widget.ConstraintLayout>
</layout>